Skip to content

List of Accessible Workspaces



GET /api/v1/wksp_share/granted_ws_list

Overview

List accessible workspaces.

Query Parameters

Parameter Name Type Required Description
namespace commaArray Filter workspaces with viewing permissions for the corresponding namespace.
Allow empty: False
regionCode string Site filter, indicating which workspaces in which site can be viewed.
Allow empty: False
filterWsUUIDs commaArray Workspace UUIDs, multiple workspaces separated by commas.
Allow empty: False
search string Name search.
Allow empty: False
pageIndex integer Page number.
Allow empty: False
Example: 10
$minValue: 1
pageSize integer Number of items per page.
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Parameter Details

1. Response Parameter Description:

Parameter Name Description
regionCode Authorizing site.
regionName Authorizing site name.
workspaceName Authorizing workspace name.
workspaceUUID Authorizing workspace UUID.
toRegionCode Authorized workspace site.
toRegionName Authorized workspace site name.
toWorkspaceName Authorized workspace name.
toWorkspaceUUID Authorized workspace UUID.
type Workspace authorization type: network, object, dialtest, billing, logging, tracing, metric, rum, keyevent, custom_object, security, profiling, * indicates all types authorized.
indexes Authorized log index names, * indicates all.

Note: The returned content is an array, where each element contains all accessible workspace information for a single site.

2. Example Description: The authorized party can view data authorized by the authorizing party. In the example below, workspace XX grants workspace YY viewing permission for the log testing index. This means workspace YY can view the log testing index data from workspace XX.

 {
          "createAt": 1749542060,
          "creator": "acnt_c956fd23a9c2427b96ee372c88ea9b60",
          "creatorInfo": {

          },
          "delayDeleteAt": -1,
          "deleteAt": -1,
          "id": 442,
          "indexes": [
              "testing"
          ],
          "regionCode": "daily",
          "regionName": "Development Environment (daily)",
          "status": 0,
          "toRegionCode": "testing",
          "toRegionName": "Test Environment (testing)",
          "toWorkspaceName": "YY",
          "toWorkspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d",
          "type": [
              "logging"
          ],
          "updateAt": -1,
          "updator": "",
          "updatorInfo": {

          },
          "uuid": "grant_02b04aec78c74f869151e3e8c3e54dae",
          "workspaceName": "XX",
          "workspaceUUID": "wksp_6e310e0c1cbd45b4a27a19bda0fd7582"
}

Request Example

curl 'https://openapi.truewatch.com/api/v1/wksp_share/granted_ws_list' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": [
        {
            "data": [
                {
                    "authorizationCode": "4248e561808c42868397a7a695a2d654",
                    "createAt": 1749542060,
                    "creator": "acnt_c956fd23a9c2427b96ee372c88ea9b60",
                    "delayDeleteAt": -1,
                    "deleteAt": -1,
                    "id": 442,
                    "indexes": [
                        "mysql",
                        "*"
                    ],
                    "regionCode": "daily",
                    "regionName": "Development Environment (daily)",
                    "status": 0,
                    "toRegionCode": "testing",
                    "toRegionName": "Test Environment (testing)",
                    "toWorkspaceName": "[Doris] for Developer",
                    "toWorkspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d",
                    "type": [
                        "logging"
                    ],
                    "updateAt": -1,
                    "updator": "",
                    "uuid": "grant_02b04aec78c74f869151e3e8c3e54dae",
                    "workspaceName": "daily for testing",
                    "workspaceUUID": "wksp_6e310e0c1cbd45b4a27a19bda0fd7582"
                },
                {
                    "authorizationCode": "52f146179ec54f4b920f28c800ae9b3e",
                    "createAt": 1749541984,
                    "creator": "acnt_c956fd23a9c2427b96ee372c88ea9b60",
                    "delayDeleteAt": -1,
                    "deleteAt": -1,
                    "id": 441,
                    "indexes": [
                        "*"
                    ],
                    "regionCode": "daily",
                    "regionName": "Development Environment (daily)",
                    "status": 0,
                    "toRegionCode": "testing",
                    "toRegionName": "Test Environment (testing)",
                    "toWorkspaceName": "[Doris] for Developer",
                    "toWorkspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d",
                    "type": [
                        "logging",
                        "billing",
                        "dialtest",
                        "tracing"
                    ],
                    "updateAt": -1,
                    "updator": "",
                    "uuid": "grant_5eab9ac478614c64a5ac5cdc9f363921",
                    "workspaceName": "Guance Cloud(Test Environment)Monitoring",
                    "workspaceUUID": "wksp_dbfb60524bf44dfea84a4e1d73484e41"
                }
            ],
            "declaration": {
                "asd": "aa,bb,cc,1,True",
                "asdasd": "dawdawd",
                "business": "aaa",
                "dd": "dd",
                "fawf": "afawf",
                "organization": "64fe7b4062f74d0007b46676"
            },
            "pageInfo": {
                "count": 2,
                "pageIndex": 1,
                "pageSize": 100,
                "totalCount": 2
            },
            "regionCode": "daily",
            "regionName": "Development Environment (daily)"
        },
        {
            "data": [
                {
                    "authorizationCode": "b081a0bec4c34bc899b05ee99b64ea04",
                    "createAt": 1748240284,
                    "creator": "acnt_06d1380440d54f2d845cb1dd3c896e45",
                    "delayDeleteAt": -1,
                    "deleteAt": -1,
                    "id": 434,
                    "indexes": [],
                    "regionCode": "testing",
                    "regionName": "Test Environment (testing)",
                    "status": 0,
                    "toRegionCode": "testing",
                    "toRegionName": "Test Environment (testing)",
                    "toWorkspaceName": "[Doris] for Developer",
                    "toWorkspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d",
                    "type": [
                        "custom_object"
                    ],
                    "updateAt": -1,
                    "updator": "",
                    "uuid": "grant_7419f57582664a2e8755ea63cab11491",
                    "workspaceName": "WayneTest Workspace",
                    "workspaceUUID": "wksp_dc1b82a836ba4f71a4c136c99f119a11"
                },
                {
                    "authorizationCode": null,
                    "createAt": 1747139040,
                    "creator": "acnt_154f255afd8644779c78d28411454772",
                    "delayDeleteAt": -1,
                    "deleteAt": -1,
                    "id": 426,
                    "indexes": [
                        "*"
                    ],
                    "regionCode": "testing",
                    "regionName": "Test Environment (testing)",
                    "status": 0,
                    "toRegionCode": "testing",
                    "toRegionName": "Test Environment (testing)",
                    "toWorkspaceName": "[Doris] for Developer",
                    "toWorkspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d",
                    "type": [
                        "*"
                    ],
                    "updateAt": -1,
                    "updator": "",
                    "uuid": "grant_14ea52f7b22c483785db5f783610dab2",
                    "workspaceName": "huangdong testing",
                    "workspaceUUID": "wksp_aef7103dc5a44397a9f4d0442517a15e"
                }
            ],
            "declaration": {
                "asd": "aa,bb,cc,1,True",
                "asdasd": "dawdawd",
                "business": "aaa",
                "dd": "dd",
                "fawf": "afawf",
                "organization": "64fe7b4062f74d0007b46676"
            },
            "pageInfo": {
                "count": 100,
                "pageIndex": 1,
                "pageSize": 100,
                "totalCount": 107
            },
            "regionCode": "testing",
            "regionName": "Test Environment (testing)"
        }
    ],
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-900225FA-E0C1-44D4-BA1A-5C8F39F9D108"
}